Bug 495051 - (CVE-2009-1185) CVE-2009-1185 udev: Uncheck origin of NETLINK messages
CVE-2009-1185 udev: Uncheck origin of NETLINK messages
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
source=vendorsec,public=20090415,impa...
: Security
Depends On: 495055 495056
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-09 09:00 EDT by Jan Lieskovsky
Modified: 2014-08-20 17:06 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-17 11:58:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2009-04-09 09:00:37 EDT
A privilege escalation flaw was found in the way udev used to check for
the origin of messages sent from the NETLINK service. An attacker could
use this flaw to escalate his privileges by sending the NETLINK message
from userspace process, instead of from the kernel.

Acknowledgements:

Red Hat would like to thank Sebastian Krahmer of the SUSE Security Team for
responsibly reporting this flaw.
Comment 11 Fedora Update System 2009-04-15 13:16:47 EDT
udev-124-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/udev-124-3.fc9
Comment 12 Fedora Update System 2009-04-15 13:24:00 EDT
udev-127-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/udev-127-4.fc10
Comment 13 Fedora Update System 2009-04-16 02:52:13 EDT
udev-124-4.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/udev-124-4.fc9
Comment 14 Fedora Update System 2009-04-16 12:54:17 EDT
udev-124-4.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2009-04-16 12:54:27 EDT
udev-127-5.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 errata-xmlrpc 2009-04-16 15:35:42 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:0427 https://rhn.redhat.com/errata/RHSA-2009-0427.html
Comment 17 Tomas Hoger 2009-04-17 11:58:36 EDT
This issue did not affect the versions of udev as shipped with Red Hat Enterprise Linux 4.  Issue was fixed upstream in version 141.

Note You need to log in before you can comment on or make changes to this bug.